use serde::{Deserialize, Serialize};

/// Data sent in case of successful login
///
/// @author Pierre Hubert
#[derive(Serialize, Deserialize)]
struct LoginTokens {
    token1: String,
    token2: String,
}

#[derive(Serialize, Deserialize)]
pub struct LoginSuccess {
    success: String,
    tokens: LoginTokens,
}

impl LoginSuccess {
    pub fn new(token: &str) -> LoginSuccess {
        LoginSuccess {
            success: "Login successful".to_string(),
            tokens: LoginTokens {
                token1: token.to_string(),
                token2: "dummy_data".to_string(),
            },
        }
    }
}